% define reference values
rhoref  = rholeft ;
pref    = pright  ;
uxref   = 1  ; % for riemann problems the reference velocity is chosen 1.
               % choosing a reference length 1 leaves the time unaltered.

% reference state Mach number
Mref = uxref/sqrt(gamma*pref/rhoref);

% scale the applied boundary conditions
rholeft   = rholeft/rhoref ;                    
rhoright  = rhoright/rhoref ;
pleft     = (pleft-pref)/(rhoref*uxref^2) ;      
pright    = (pright-pref)/(rhoref*uxref^2) ;
uxleft    = uleft/uxref ;                     
uxright   = uright/uxref ;









